/**

    Copyright 2004, 2005 Engineering Ingegneria Informatica S.p.A. & Sinapsi S.p.A.

    This file is part of Spago.

    Spago is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    any later version.

    Spago is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Spago; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**/
package it.eng.spago.test;

import it.eng.spago.dispatching.httpchannel.AdapterHTTPProxy;
import java.net.URL;

public class AdapterHTTPClient {
    public AdapterHTTPClient() {
        super();
    } // public AdapterHTTPClient()

    public static void main(String[] args) {
        try {
            AdapterHTTPProxy adapterHTTP = new AdapterHTTPProxy();
            adapterHTTP.setEndPoint(new URL("http://sil.sigma.it/silEngine/sil"));
            String request = "";
            System.out.println("AdapterHTTPClient::main: request\n" + request);
            String response = adapterHTTP.service(request);
            System.out.println("AdapterHTTPClient::main: response\n" + response);
        } // try
        catch (Exception ex) {
            System.out.println("AdapterHTTPClient::main: errore in adapterHTTP.service(request)");
            ex.printStackTrace();
        } // catch (Exception ex) try
    } // public static void main(String[] args)
} // public class AdapterHTTPClient
